[CmdletBinding(SupportsShouldProcess)]param(
    [ArgumentCompleter({ param (
        $commandName,
        $parameterName,
        $wordToComplete,
        $commandAst,
        $fakeBoundParameters
      )
      [DockerComposeDirs]::_GetValidValues($wordToComplete,$true)
    })]
    [string[]]$ProjectPath=@($PWD),
    [Parameter(Position = 0, ValueFromRemainingArguments = $true)]
    [array]$CliParams=@('--rm')
)

if( $CliParams[0] -is [string] ) { $CliParams = @($CliParams,@($null)) }
$CliParams[0] = @('run') + $CliParams[0]

Invoke-DockerCompose -ProjectPath $ProjectPath -CliParams $CliParams
